=begin
#Elastic Email REST API

#This API is based on the REST API architecture, allowing the user to easily manage their data with this resource-based approach.    Every API call is established on which specific request type (GET, POST, PUT, DELETE) will be used.    To start using this API, you will need your Access Token (available <a href=\"https://elasticemail.com/account#/settings/new/manage-api\">here</a>). Remember to keep it safe. Required access levels are listed in the given request’s description.    This is the documentation for REST API. If you’d like to read our legacy documentation regarding Web API v2 click <a href=\"https://api.elasticemail.com/public/help\">here</a>.

The version of the OpenAPI document: 4.0.0
Contact: support@elasticemail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.0.1

=end

require 'spec_helper'
require 'json'

# Unit tests for ElasticEmail::ListsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ListsApi' do
  before do
    # run before each test
    @api_instance = ElasticEmail::ListsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ListsApi' do
    it 'should create an instance of ListsApi' do
      expect(@api_instance).to be_instance_of(ElasticEmail::ListsApi)
    end
  end

  # unit tests for lists_by_name_contacts_post
  # Add Contacts to List
  # Add existing Contacts to specified list. Required Access Level: ModifyContacts
  # @param name Name of your list.
  # @param emails_payload Provide either rule or a list of emails, not both.
  # @param [Hash] opts the optional parameters
  # @return [ContactsList]
  describe 'lists_by_name_contacts_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for lists_by_name_contacts_remove_post
  # Remove Contacts from List
  # Remove specified Contacts from your list. Required Access Level: ModifyContacts
  # @param name Name of your list.
  # @param emails_payload Provide either rule or a list of emails, not both.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'lists_by_name_contacts_remove_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for lists_by_name_delete
  # Delete List
  # Deletes List and removes all the Contacts from it (does not delete Contacts). Required Access Level: ModifyContacts
  # @param name Name of your list.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'lists_by_name_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for lists_by_name_get
  # Load List
  # Returns detailed information about specified list. Required Access Level: ViewContacts
  # @param name Name of your list.
  # @param [Hash] opts the optional parameters
  # @return [ContactsList]
  describe 'lists_by_name_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for lists_by_name_put
  # Update List
  # Update existing list. Required Access Level: ModifyContacts
  # @param name Name of your list.
  # @param list_update_payload 
  # @param [Hash] opts the optional parameters
  # @return [ContactsList]
  describe 'lists_by_name_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for lists_get
  # Load Lists
  # Returns all your existing lists. Required Access Level: ViewContacts
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Maximum number of returned items.
  # @option opts [Integer] :offset How many items should be returned ahead.
  # @return [Array<ContactsList>]
  describe 'lists_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for lists_post
  # Add List
  # Add a new list. Required Access Level: ModifyContacts
  # @param list_payload 
  # @param [Hash] opts the optional parameters
  # @return [ContactsList]
  describe 'lists_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
